Subject: Re: bug#47040: 27.1; PNG binary transparency is ignored

From: Stefan Kangas <[email-masked]>
Date: Sun, 31 Oct 2021 07:49:16 -0700

Alan Third <[email-masked]> writes:

> I see the same on NS, so it must be something wrong with the libpng
> support code. Although I don't know why Lars doesn't see it on Debian.
>
> I wonder if it's related to image.c:6909
>
>     # ifdef PNG_tRNS_SUPPORTED
>
> It looks like that is not defined here... I don't really understand
> what the png code is doing with transparency.

That was added in commit 8826beaf0066.  I think this if this is
undefined in your case, I think it could be a problem with your libpng
build, as Paul alludes to here:

    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37153#71

As far as I can tell from here,

    https://github.com/mitsuba-renderer/libpng/search?q=PNG_tRNS_SUPPORTED

and here,

    https://github.com/mitsuba-renderer/libpng/blob/master/scripts/pnglibconf.h.prebuilt

libpng is built with PNG_tRNS_SUPPORTED by default.  So why is your
libpng not built with that?